Subject: Regression: broken completion on modification time
From: Dima Kogan <[email-masked]>
To: zsh-workers <[email-masked]>
Date: Sun, 12 Jun 2016 13:32:56 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi. Let's say I have a trivial .zshrc:

  autoload -Uz compinit
  compinit

In zsh 5.0.5 (Debian version 5.0.5-2) I can type in an interactive
shell:

  $ ls *(m

Then I press TAB to get the different ways to specify modification time,
and I get

  time specifier
  M  -- months
  d  -- days
  h  -- hours
  m  -- minutes
  s  -- seconds
  w  -- weeks
  sense
  +  -- more than
  -  -- less than

This is correct. If I update the zsh package, or use the zsh from git
and do the same thing, I get no message, and instead the completion
cycles between various integers. This is wrong, or at least very
different from before, and not obviously correct. I haven't done any
more bisecting, but hopefully this will be obvious to somebody.

Thanks
dima